#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pnam	Cairo
Summary:	Perl Cairo bindings
Summary(pl.UTF-8):	Wiązania Cairo dla Perla
Name:		perl-Cairo
Version:	1.103
Release:	4
License:	LGPL v2.1+
Group:		Development/Languages/Perl
Source0:	http://downloads.sourceforge.net/gtk2-perl/%{pnam}-%{version}.tar.gz
# Source0-md5:	c693e5535ed60283c068d92120412f98
URL:		http://gtk2-perl.sourceforge.net/
BuildRequires:	cairo-devel >= 1.10.0
BuildRequires:	perl-ExtUtils-Depends >= 0.201
BuildRequires:	perl-ExtUtils-PkgConfig >= 1.06
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl-Test-Number-Delta >= 1.0
%endif
Requires:	cairo >= 1.10.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module provides perl access to Cairo library.

%description -l pl.UTF-8
Ten moduł daje dostęp z poziomu Perla do biblioteki Cairo.

%package devel
Summary:	Development files for Perl Cairo bindings
Summary(pl.UTF-8):	Pliki programistyczne wiązań Cairo dla Perla
Group:		Development/Languages/Perl
Requires:	%{name} = %{version}-%{release}
Requires:	cairo-devel >= 1.10.0

%description devel
Development files for Perl Cairo bindings.

%description devel -l pl.UTF-8
Pliki programistyczne wiązań Cairo dla Perla.

%prep
%setup -q -n %{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor

%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} pure_install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{perl_vendorarch}/auto/Cairo/.packlist

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc NEWS README TODO
%{perl_vendorarch}/Cairo.pm
%dir %{perl_vendorarch}/Cairo
%dir %{perl_vendorarch}/auto/Cairo
%attr(755,root,root) %{perl_vendorarch}/auto/Cairo/Cairo.so
%{_mandir}/man3/Cairo.3pm*

%files devel
%defattr(644,root,root,755)
%{perl_vendorarch}/Cairo/Install
%changelog
* Fri Feb 27 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-Cairo.git;a=log;h=auto/th/perl-Cairo-1.103-4

* Thu Feb 26 2015 Jan Rękorajski <baggins@pld-linux.org> cf0383e
- x32 rebuild
- release 4 (by relup.sh)

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 4c9abf4
- release 3 (by relup.sh)

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 868d7ee
- removed zero-sized .bs file

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 5a8dc0a
- rebuild for perl 5.20
- release 2 (by relup.sh)

* Sun Jun 23 2013 Jakub Bogusz <qboosh@pld-linux.org> bfd1fec
- updated to 1.103
- removed obsolete tests patch
- separated devel files

* Sat Jun 08 2013 Jan Rękorajski <baggins@pld-linux.org> 1493820
- rebuild with perl 5.18.0
- release 2 (by relup.sh)

* Tue Jun 05 2012 Jakub Bogusz <qboosh@pld-linux.org> 7339ba7
- updated to 1.082
- added tests patch (from git, adjusted for 1.082 release)

* Mon May 02 2011 Jakub Bogusz <qboosh@pld-linux.org> eb295df
- updated to 1.062; tests have been fixed

* Wed Mar 09 2011 Jakub Bogusz <qboosh@pld-linux.org> c431f15
- temporarily disable CairoSurface tests (they fail with current cairo)

* Fri Nov 12 2010 pawelz <pawelz@pld-linux.org> 7c5cc93
- release 5

* Sun Jun 06 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> ff55b60
- release 2

* Fri Aug 21 2009 amateja <amateja@pld-linux.org> ddff1af
- updated to 1.061

* Sat Mar 14 2009 hawk <hawk@pld-linux.org> 192ffa3
- release 2

* Sun Jul 20 2008 Jakub Bogusz <qboosh@pld-linux.org> ec4aea1
- updated to 1.060 (for cairo 1.6.x)

* Sat Mar 01 2008 Michał 'Wolvverine' Panasiewicz <wolvverine@pld-linux.org> 2f84ef5
- up to 1.045

* Fri Feb 08 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> c9e0e4e
- rel 3

* Thu Jan 10 2008 Elan Ruusamäe <glen@pld-linux.org> ebce6ba
- add CC to %{__make}
  grep OPTIMIZE= perl-* -l|xargs grep -c CC=|grep :0|cut -d: -f1|xargs sed -i -e '/%{__make} \\$/a\\tCC="%{__cc}" \\'

* Sat Dec 01 2007 Jakub Bogusz <qboosh@pld-linux.org> 4a13446
- release 2

* Sat Dec 01 2007 Jakub Bogusz <qboosh@pld-linux.org> 3890281
- updated to 1.044

* Sat Jun 02 2007 Jakub Bogusz <qboosh@pld-linux.org> abc4be7
- updated to 1.041

